View Issue Details

IDProjectCategoryView StatusLast Update
0019649mantisbtcode cleanuppublic2015-09-06 17:37
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019649: change_type is set to "close" when re-opening issues
Description

We use reopen_flag as a flag for bug_change_status_page.php instead of change_type. Also bug_change_status_page.php passes the change_type always as 'close'.

Tagsmantishub

Relationships

related to 0019648 closedvboctor Access denied when reporter re-opens an issue 
related to 0019271 closedvboctor Reporter can't re-open or close issues even if they have access 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master f591e7b6

2015-04-23 02:09:05

vboctor

Details Diff
Fix access denied when reporter re-opens issue

Fixes 0019648
Fixes 0019649
mod - bug_change_status_page.php Diff File
mod - bug_update.php Diff File
mod - core/constant_inc.php Diff File
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2015-04-23 02:06 vboctor New Issue
2015-04-23 02:06 vboctor Status new => assigned
2015-04-23 02:06 vboctor Assigned To => vboctor
2015-04-23 09:59 vboctor Relationship added related to 0019648
2015-04-23 09:59 vboctor Relationship added related to 0019271
2015-04-25 13:41 vboctor Changeset attached => MantisBT master f591e7b6
2015-04-25 13:41 vboctor Status assigned => resolved
2015-04-25 13:41 vboctor Resolution open => fixed
2015-04-25 13:41 vboctor Fixed in Version => 1.3.0-beta.3
2015-04-28 03:31 vboctor Tag Attached: mantishub
2015-09-06 17:37 vboctoradmin Status resolved => closed